{"openapi":"3.1.0","info":{"title":"Gosure API","description":"API documentation for Core Services","version":"v1.0"},"servers":[{"url":"https://api-docs.gosure.ai","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"paths":{"/api/v1/users/{userId}":{"get":{"tags":["user-controller"],"operationId":"getUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserResponseDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"put":{"tags":["user-controller"],"operationId":"updateUserWithEncryptedRequest","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EncryptedUserUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"delete":{"tags":["user-controller"],"operationId":"deleteUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/update/{userId}":{"put":{"tags":["user-controller"],"operationId":"updateUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUser"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/reset-password/{userId}":{"put":{"tags":["user-controller"],"operationId":"resetPassword","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetPasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResetPasswordResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/admin/reset-password":{"put":{"tags":["user-controller"],"operationId":"adminSetPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPasswordResetRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/tags/update/{jobTagId}":{"put":{"tags":["tags-controller"],"operationId":"update","parameters":[{"name":"jobTagId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobTagDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTag"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/organizations/{organizationId}":{"get":{"tags":["organization-controller"],"operationId":"getOrganization","parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Organization"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"put":{"tags":["organization-controller"],"operationId":"updateOrganization","parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Organization"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"delete":{"tags":["organization-controller"],"operationId":"delete","parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/versions/{versionId}/publish":{"put":{"tags":["job-type-hub-controller"],"operationId":"publish","parameters":[{"name":"versionId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PublishResultDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/subscribers/{subscriberId}/rotate-secret":{"put":{"tags":["job-type-hub-controller"],"operationId":"rotateSecret","parameters":[{"name":"subscriberId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/SubscribeResponseDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/subscribers/{subscriberId}/job-types":{"put":{"tags":["job-type-hub-controller"],"operationId":"updateSubscribedJobTypes","parameters":[{"name":"subscriberId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeSubscriber"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-workflows":{"put":{"tags":["job-workflow-type-controller"],"operationId":"update_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobWorkflowTypeDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobWorkflowType"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-workflow-type-controller"],"operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobWorkflowTypeDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobWorkflowType"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/{jobTypeName}/bulk-soft-restore":{"put":{"tags":["job-type-controller"],"operationId":"bulkSoftRestore","parameters":[{"name":"jobInstanceIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/{jobTypeId}":{"get":{"tags":["job-type-controller"],"operationId":"getById","parameters":[{"name":"jobTypeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobType"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"put":{"tags":["job-type-controller"],"operationId":"update_2","parameters":[{"name":"jobTypeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateJobTypeDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UpdateJobTypeDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/migrate/{jobTypeName}/job-instances":{"put":{"tags":["job-type-controller"],"operationId":"migrateJobInstancesFromOneOwnerToAnother","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"sourceUserId","in":"query","required":true,"schema":{"type":"string"}},{"name":"sourceEmail","in":"query","required":true,"schema":{"type":"string"}},{"name":"targetUserId","in":"query","required":true,"schema":{"type":"string"}},{"name":"targetEmail","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/{jobInstanceId}":{"get":{"tags":["job-instance-controller"],"operationId":"getById_1","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"limitSubJobs","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeJobWorkflowType","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeSubJobs","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"put":{"tags":["job-instance-controller"],"operationId":"update_3","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"delete":{"tags":["job-instance-controller"],"operationId":"delete_1","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceDeleteRequest"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/update-instance":{"put":{"tags":["job-instance-controller"],"operationId":"updateProperties","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInstanceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/update-by-unique-field":{"put":{"tags":["job-instance-controller"],"operationId":"updateByUniqueField","parameters":[{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceFieldUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/restore/{jobInstanceId}":{"put":{"tags":["job-instance-controller"],"operationId":"restore","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceDeleteRequest"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/enterprises/{enterpriseId}":{"get":{"tags":["enterprise-controller"],"operationId":"getEnterprise","parameters":[{"name":"enterpriseId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Enterprise"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"put":{"tags":["enterprise-controller"],"operationId":"updateEnterprise","parameters":[{"name":"enterpriseId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEnterprise"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Enterprise"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"delete":{"tags":["enterprise-controller"],"operationId":"deleteEnterprise","parameters":[{"name":"enterpriseId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/internal/v1/retrieve-jwt-token":{"post":{"tags":["internal-api-controller"],"operationId":"retrieveJwtToken","parameters":[{"name":"X-Tenant","in":"header","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveTokenRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JwtTokenResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users":{"get":{"tags":["user-controller"],"operationId":"getUsers","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["user-controller"],"operationId":"createUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/validate-otp":{"post":{"tags":["user-controller"],"operationId":"validateOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLoginResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/validate-imeilogin":{"post":{"tags":["user-controller"],"operationId":"ImeiValidationforAon","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImeiLoginValidatorRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLoginResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/upload/profile-picture":{"post":{"tags":["user-controller"],"operationId":"uploadProfilePicture","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/AttachmentsResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/tenant-signup/validate-otp":{"post":{"tags":["user-controller"],"operationId":"validateSsoOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateTenantSignUpOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/tenant-signup/generate-otp":{"post":{"tags":["user-controller"],"operationId":"generateTenantSignupOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/GenerateTenantSignUpOTPResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/sso/session-login":{"post":{"tags":["user-controller"],"operationId":"ssoSessionLogin","parameters":[{"name":"sessionId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLoginResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/sso/login":{"post":{"tags":["user-controller"],"operationId":"ssoLogin","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLoginResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/okta-login":{"post":{"tags":["user-controller"],"operationId":"oktaLogin","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OktaLoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLoginResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/migrate-login-history":{"post":{"tags":["user-controller"],"operationId":"migrateLoginHistory","parameters":[{"name":"tenant","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/logout":{"post":{"tags":["user-controller"],"operationId":"logout","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLogoutRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLogoutResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/login":{"post":{"tags":["user-controller"],"summary":"Authenticate user and return access token","operationId":"login","parameters":[{"name":"X-Tenant","in":"header","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLoginResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/login/mfa":{"post":{"tags":["user-controller"],"operationId":"loginWithMfa","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/GenerateOTPResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/kc_token/validate/{tenant}":{"post":{"tags":["user-controller"],"operationId":"validateToken","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OktaLoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/generate-otp":{"post":{"tags":["user-controller"],"operationId":"generateOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/GenerateOTPResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/forgot-password/validate-otp":{"post":{"tags":["user-controller"],"operationId":"validateForgotPasswordOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgotPasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResetPasswordResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/forgot-password/send-otp":{"post":{"tags":["user-controller"],"operationId":"generateForgotPasswordOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/GenerateOTPResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/tests/repos/{repoName}/actions/workflows/trigger":{"post":{"tags":["performance-tests-controller"],"operationId":"triggerWorkflow","parameters":[{"name":"repoName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformanceTestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/tags/create":{"post":{"tags":["tags-controller"],"operationId":"createTag","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobTagDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTag"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/sso/tenant-onboarding":{"post":{"tags":["identity-provider-controller"],"operationId":"tenantOnboarding","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTenantRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/UserLoginResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/rules":{"get":{"tags":["rule-controller"],"operationId":"allRules","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobRule"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["rule-controller"],"operationId":"createRule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobRuleDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobRule"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/reports":{"get":{"tags":["job-report-controller"],"operationId":"allReports","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobReport"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-report-controller"],"operationId":"createJobReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobReportDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobReport"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/redirect/{providerName}/callback":{"post":{"tags":["redirect-controller"],"operationId":"redirect","parameters":[{"name":"providerName","in":"path","required":true,"schema":{"type":"string"}},{"name":"path","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/redirect/callback/{providerName}/{tenant}/{orgId}/{jobInstanceId}":{"post":{"tags":["redirect-controller"],"operationId":"redirect_1","parameters":[{"name":"providerName","in":"path","required":true,"schema":{"type":"string"}},{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}},{"name":"orgId","in":"path","required":true,"schema":{"type":"string"}},{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"path","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/queries/filter-based-query":{"post":{"tags":["query-controller"],"operationId":"filterBasedQuery","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/FilterDtoResponce"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/queries/data-filters":{"post":{"tags":["query-controller"],"operationId":"getDataFilters","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataFilterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/public/create-instance":{"post":{"tags":["public-api-controller"],"operationId":"createInstanceWithOutToken","parameters":[{"name":"jobTypeName","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/persistence-hooks/for-jobtype-id/{jobTypeId}":{"get":{"tags":["persistence-hook-controller"],"operationId":"getPersistenceSettings","parameters":[{"name":"jobTypeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PersistenceHooksDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["persistence-hook-controller"],"operationId":"createPermission","parameters":[{"name":"jobTypeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistenceHooksDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PersistenceHooksDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/permissions":{"get":{"tags":["permission-controller"],"operationId":"getPermissions","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Permission"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["permission-controller"],"operationId":"createPermission_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Permission"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/pdf/merge":{"post":{"tags":["pdf-utils-controller"],"operationId":"mergeMultipartFiles","parameters":[{"name":"files","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"binary"}}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string","format":"byte"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/payment/create":{"post":{"tags":["payment-controller"],"operationId":"createPaymentLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BasePaymentRequestDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponseObject"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/payment/callback/reliance/{tenant}/{orgId}/{jobInstanceId}":{"post":{"tags":["payment-controller"],"operationId":"handleRcPaymentResponse","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}},{"name":"orgId","in":"path","required":true,"schema":{"type":"string"}},{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/parse/curl":{"post":{"tags":["parser-controller"],"operationId":"parseCurl","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/FilterDtoResponce"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/organizations":{"get":{"tags":["organization-controller"],"operationId":"getOrganizations","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Organization"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["organization-controller"],"operationId":"createOrganization","parameters":[{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrganizationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Organization"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/organizations/logo/upload":{"post":{"tags":["organization-controller"],"operationId":"uploadOrgLogo","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/AttachmentsResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/orchestrator/config":{"get":{"tags":["orchestration-config-controller"],"operationId":"getConfigs","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrchestratorConfig"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["orchestration-config-controller"],"operationId":"createConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrchestratorConfigDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/OrchestratorConfig"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/operations/index-advisor/drop-decisions":{"get":{"tags":["operations-controller"],"operationId":"getDropDecisions","parameters":[{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["PENDING","HIDDEN","DROPPED","REJECTED"]}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MongoRecommendationDto"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["operations-controller"],"operationId":"decideDrop","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropIndexDecisionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/MongoRecommendationDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/operations/index-advisor/decisions":{"get":{"tags":["operations-controller"],"operationId":"getDecisions","parameters":[{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["PENDING","CREATED","REJECTED"]}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MongoRecommendationDto"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["operations-controller"],"operationId":"decide","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexDecisionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/MongoRecommendationDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/ongo/jobtype-updates":{"get":{"tags":["job-type-update-controller"],"operationId":"getAllUpdates","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobTypeUpdate"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-type-update-controller"],"operationId":"receiveUpdate","parameters":[{"name":"X-Hub-Source-Env","in":"header","required":true,"schema":{"type":"string"}},{"name":"X-Hub-Timestamp","in":"header","required":true,"schema":{"type":"string"}},{"name":"X-Hub-Signature","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/ongo/jobtype-updates/{updateId}/reject":{"post":{"tags":["job-type-update-controller"],"operationId":"rejectUpdate","parameters":[{"name":"updateId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeUpdate"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/ongo/jobtype-updates/{updateId}/apply":{"post":{"tags":["job-type-update-controller"],"operationId":"applyVersion","parameters":[{"name":"updateId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeUpdate"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/ongo/jobtype-updates/{updateId}/accept":{"post":{"tags":["job-type-update-controller"],"operationId":"acceptUpdate","parameters":[{"name":"updateId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeUpdate"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/ongo/jobtype-updates/hub-config":{"get":{"tags":["job-type-update-controller"],"operationId":"getHubConfig","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/HubConfig"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-type-update-controller"],"operationId":"saveHubConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HubConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/HubConfig"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/notes":{"post":{"tags":["notes-controller"],"operationId":"createNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoteDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Note"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/kyc/{providerName}/{templateName}/{jobInstanceId}":{"post":{"tags":["kyc-controller"],"operationId":"kyc","parameters":[{"name":"providerName","in":"path","required":true,"schema":{"type":"string"}},{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"templateName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/versions":{"get":{"tags":["job-type-hub-controller"],"operationId":"getVersions","parameters":[{"name":"jobTypeCode","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobTypeVersion"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-type-hub-controller"],"operationId":"createVersion","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJobTypeVersionDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeVersion"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/versions/{versionId}/retry/{subscriberId}":{"post":{"tags":["job-type-hub-controller"],"operationId":"retryPush","parameters":[{"name":"versionId","in":"path","required":true,"schema":{"type":"string"}},{"name":"subscriberId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PublishResultDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/subscribers":{"get":{"tags":["job-type-hub-controller"],"operationId":"getSubscribers","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobTypeSubscriber"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-type-hub-controller"],"operationId":"subscribe","parameters":[{"name":"X-API-Key","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscribeRequestDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/SubscribeResponseDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/subscribers/local":{"post":{"tags":["job-type-hub-controller"],"operationId":"subscribeLocal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocalSubscribeRequestDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/SubscribeResponseDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/publish/{jobTypeName}":{"post":{"tags":["job-type-hub-controller"],"operationId":"publishJobType","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"changelog","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PublishResultDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/publish/{jobTypeName}/tenant/{tenantName}":{"post":{"tags":["job-type-hub-controller"],"operationId":"publishToTenant","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"tenantName","in":"path","required":true,"schema":{"type":"string"}},{"name":"changelog","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PublishResultDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/jobtype-hub/publish/version/{versionId}/tenant/{tenantName}":{"post":{"tags":["job-type-hub-controller"],"operationId":"publishVersionToTenant","parameters":[{"name":"versionId","in":"path","required":true,"schema":{"type":"string"}},{"name":"tenantName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PublishResultDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types":{"get":{"tags":["job-type-controller"],"operationId":"getJobTypes","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobType"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-type-controller"],"operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJobTypeDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CreateJobTypeDto"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/{jobTypeName}/pivotAIquery":{"post":{"tags":["job-type-controller"],"operationId":"pivotAIChatGptQuery","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PivotAIQueryDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PivotAIQueryResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/{jobTypeName}/job-instances/upload":{"post":{"tags":["job-type-controller"],"operationId":"upload","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachments","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"binary"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"excelFile":{"type":"string","format":"binary"}},"required":["excelFile"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/{jobTypeName}/job-instances/filteredConditions":{"post":{"tags":["job-type-controller"],"operationId":"getFilteredJobInstances","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageNumber","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceFilterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/{jobTypeName}/aggregate":{"post":{"tags":["job-type-controller"],"operationId":"aggregateData","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AggregationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/AggregationResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/{jobTypeId}/process-job-hooks":{"post":{"tags":["job-type-controller"],"operationId":"processJobEventHooks","parameters":[{"name":"jobTypeId","in":"path","required":true,"schema":{"type":"string"}},{"name":"filters","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/new-rollup-save/{tenant}":{"post":{"tags":["job-type-controller"],"operationId":"saveNewRollupConfig","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/name/{jobTypeName}/instances":{"get":{"tags":["job-type-controller"],"operationId":"getJobInstancesByName","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageNumber","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":150}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}},{"name":"keyword","in":"query","required":false,"schema":{"type":"string"}},{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"order","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-type-controller"],"operationId":"createJobInstanceWithJobTypeName","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/migrate/job-instance-activities/{tenant}":{"post":{"tags":["job-type-controller"],"operationId":"migrate","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-types/migrate/accessible-db-migrate/{tenant}":{"post":{"tags":["job-type-controller"],"operationId":"migrateAccessibleDb","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-scheduler/http-api":{"post":{"tags":["job-scheduler-controller"],"operationId":"httpApiRequest","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances":{"get":{"tags":["job-instance-controller"],"operationId":"getAll","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobInstance"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-instance-controller"],"operationId":"create_2","parameters":[{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/{jobTypeName}/retrieve-by-parent":{"get":{"tags":["job-instance-controller"],"operationId":"getJobInstancesByParentInstanceIdAndJobTypeName","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageNumber","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"parentJobInstanceId","in":"query","required":true,"schema":{"type":"string"}},{"name":"order","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["job-instance-controller"],"operationId":"retrieveJobInstancesByParentInstanceIdAndJobTypeName","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveSubInstancesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobTypeResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/{jobTypeName}/job-instances/upload":{"post":{"tags":["job-instance-controller"],"operationId":"upload_1","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"attachments","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"binary"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"excelFile":{"type":"string","format":"binary"}},"required":["excelFile"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/{jobTypeName}/insurer-wise-bifurcation":{"post":{"tags":["job-instance-controller"],"operationId":"insurerWiseBifurcation","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"status","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"string"}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/{jobTypeName}/batch-upload-job-instances":{"post":{"tags":["job-instance-controller"],"operationId":"batchUpload","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}},{"name":"excelFile","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"binary"}}},{"name":"mappedFields","in":"query","required":true,"schema":{"type":"string"}},{"name":"attachments","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"binary"}}},{"name":"filters","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/update-workflow-status":{"post":{"tags":["job-instance-controller"],"operationId":"updateWorkFlowStatus","parameters":[{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWorkflowStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/update-workflow-status/batch":{"post":{"tags":["job-instance-controller"],"operationId":"updateWorkFlowStatus_1","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UpdateWorkflowStatusRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/update-workflow-status/OnlyResponseCode":{"post":{"tags":["job-instance-controller"],"operationId":"updateWorkFlowStatusWithResponseCode","parameters":[{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWorkflowStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/update-status":{"post":{"tags":["job-instance-controller"],"operationId":"updateStatus","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/update-hook-status/{jobInstanceId}":{"post":{"tags":["job-instance-controller"],"operationId":"updateHookStatus","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateHookRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/testing/test-crash":{"post":{"tags":["job-instance-controller"],"operationId":"testCrash","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/smart-upload/create":{"post":{"tags":["job-instance-controller"],"operationId":"processSmartUpload","parameters":[{"name":"formFields","in":"query","required":true,"schema":{"type":"object","additionalProperties":{}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/send-campaign-emails":{"post":{"tags":["job-instance-controller"],"operationId":"sendCampaignEmails","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendCampaignEmailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/MailResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/scheduler/daily-update":{"post":{"tags":["job-instance-controller"],"operationId":"dailyJobInstanceUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchedulerCommand"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/policy-details":{"post":{"tags":["job-instance-controller"],"operationId":"getPIPolicyDetails","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/FilterDtoResponce"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/parent-job-relation-list":{"post":{"tags":["job-instance-controller"],"operationId":"parentJobRelationlist","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParentJobRelationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/BulkSubJobInstancCreateResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/get-presigned-url":{"post":{"tags":["job-instance-controller"],"operationId":"getPreSignedUrl","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreSignedUrlRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/eno-policy-details":{"post":{"tags":["job-instance-controller"],"operationId":"getENOPolicyDetails","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/FilterDtoResponce"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/download":{"post":{"tags":["job-instance-controller"],"operationId":"downloadToS3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DownloadJobInstanceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/deviceChangeRequest":{"post":{"tags":["job-instance-controller"],"operationId":"deviceChangeRequestforAon","parameters":[{"name":"userEmailId","in":"query","required":true,"schema":{"type":"string"}},{"name":"mobileNo","in":"query","required":true,"schema":{"type":"string"}},{"name":"newIMEI","in":"query","required":true,"schema":{"type":"string"}},{"name":"RMID","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/device-data/server-sync-status":{"post":{"tags":["job-instance-controller"],"operationId":"deviceDataServerSyncStatusforAON","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string"}},{"name":"serverSyncValue","in":"query","required":true,"schema":{"type":"string"}},{"name":"passwordValue","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/date-update/{jobTypeName}":{"post":{"tags":["job-instance-controller"],"operationId":"DateFormatUpdate","parameters":[{"name":"jobTypeName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/createWithFile":{"post":{"tags":["job-instance-controller"],"operationId":"createWithFile","parameters":[{"name":"data","in":"query","required":true,"schema":{"type":"string"}},{"name":"srcFile","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"binary"}}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/create-instance":{"post":{"tags":["job-instance-controller"],"operationId":"bulkCreateInstance","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/cover-letter-numbers/export":{"post":{"tags":["job-instance-controller"],"operationId":"exportCoverLetterNumbers","parameters":[{"name":"jobTypeName","in":"query","required":true,"schema":{"type":"string"}},{"name":"inputField","in":"query","required":true,"schema":{"type":"string"}},{"name":"fields","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/clone/{jobInstanceId}":{"post":{"tags":["job-instance-controller"],"operationId":"clone","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"actionType","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/by-form-data":{"post":{"tags":["job-instance-controller"],"operationId":"createByFormData","parameters":[{"name":"payload","in":"query","required":true,"schema":{"type":"string"}},{"name":"attachments","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"binary"}}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/bulk-update":{"post":{"tags":["job-instance-controller"],"operationId":"bulkUpdate","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"jobInstances":{"type":"string"},"file":{"type":"string","format":"binary"},"jobTypeId":{"type":"string"},"statusFieldName":{"type":"string"}},"required":["jobInstances","jobTypeId"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/bulk-subjobinstances-create":{"post":{"tags":["job-instance-controller"],"operationId":"bulkSubJobInstancesCreate","parameters":[{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkSubjobsCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/BulkSubJobInstancCreateResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/bulk-create":{"post":{"tags":["job-instance-controller"],"operationId":"bulkCreateWithAttachments","parameters":[{"name":"statusFieldName","in":"query","required":false,"schema":{"type":"string"}},{"name":"resolveRefs","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"jobInstances":{"type":"string"},"file":{"type":"string","format":"binary"}},"required":["jobInstances"]}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/bulk-create-or-update":{"post":{"tags":["job-instance-controller"],"operationId":"bulkCreateOrUpdate","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"jobInstances":{"type":"string"},"file":{"type":"string","format":"binary"},"jobTypeId":{"type":"string"},"statusFieldName":{"type":"string"}},"required":["jobInstances","jobTypeId"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/attachments-only":{"post":{"tags":["job-instance-controller"],"operationId":"createAttachmentsOnly","parameters":[{"name":"attachments","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"binary"}}},{"name":"parentJobTypeId","in":"query","required":false,"schema":{"type":"string"}},{"name":"isPublicAttachment","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/AttachmentsResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/approve-reject/{jobInstanceId}":{"post":{"tags":["job-instance-controller"],"operationId":"processJobInstance","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"actionType","in":"query","required":true,"schema":{"type":"string","enum":["APPROVE","REJECT"]}},{"name":"message","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/job-instances/activity-history/{jobInstanceId}":{"post":{"tags":["job-instance-controller"],"operationId":"addJobInstanceActivityHistory","parameters":[{"name":"jobInstanceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"migration","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceActivityRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/sms/get-replaced-template":{"post":{"tags":["internal-api-command-controller"],"operationId":"getReplacedSmsTemplateInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmsTemplateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/SmsTemplate"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/platform-notifications/get-replaced-template":{"post":{"tags":["internal-api-command-controller"],"operationId":"getPlatformNotificationTemplateInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlatformNotificationTemplateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/PlatformNotificationTemplateResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/organizations/command":{"post":{"tags":["internal-api-command-controller"],"operationId":"handleOrganizationCommand","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationCommand"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/organizations/by-id":{"post":{"tags":["internal-api-command-controller"],"operationId":"getOrganizationByIdInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationByIdRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Organization"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/operations/index-advisor/create":{"post":{"tags":["internal-api-command-controller"],"operationId":"createMongoIndexInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MongoIndexCreationInternalRequest"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/update":{"post":{"tags":["internal-api-command-controller"],"operationId":"updateJobInstanceInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceInternalUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstanceInternalUpdateResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/update-status":{"post":{"tags":["internal-api-command-controller"],"operationId":"updateJobInstanceStatusInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceStatusUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/rollup-details":{"post":{"tags":["internal-api-command-controller"],"operationId":"getRollUpDetailsInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RollUpDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/RollUpDetails"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/delete":{"post":{"tags":["internal-api-command-controller"],"operationId":"deleteJobInstancesInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceDeleteRequest"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/create":{"post":{"tags":["internal-api-command-controller"],"operationId":"createJobInstanceInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceCreateInternalRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstanceCreateInternalResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/create-parent-sub":{"post":{"tags":["internal-api-command-controller"],"operationId":"createParentAndSubJobInstances","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateParentSubJobInstancesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/command":{"post":{"tags":["internal-api-command-controller"],"operationId":"handleJobInstanceCommand","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceCommand"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/by-query":{"post":{"tags":["internal-api-command-controller"],"operationId":"getJobInstancesByQueryInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceQueryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobInstance"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/by-filters":{"post":{"tags":["internal-api-command-controller"],"operationId":"getJobInstancesByFiltersInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstancesByFiltersRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobInstance"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/batch-validate-and-save":{"post":{"tags":["internal-api-command-controller"],"operationId":"batchValidateAndSaveJobInstancesInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobInstanceBatchValidateAndSaveRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/batch-command":{"post":{"tags":["internal-api-command-controller"],"operationId":"handleBatchJobInstanceCommand","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchJobInstanceCommand"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/auto-user-deletion":{"post":{"tags":["internal-api-command-controller"],"operationId":"autoUserDeletion","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutoUserDeletionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/job-instances/aggregation":{"post":{"tags":["internal-api-command-controller"],"operationId":"calculateAggregationInternal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AggregationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/AggregationResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/internal/dynamic-queries":{"post":{"tags":["internal-api-command-controller"],"operationId":"getDynamicQueryData","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicQueryInternalRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/hook/soa/create":{"post":{"tags":["hook-controller"],"operationId":"executeHook","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SoaProcessRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/gosure-functions/insuremo-proxy":{"post":{"tags":["functions-controller"],"operationId":"insuremoProxy","parameters":[{"name":"functionName","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string","format":"byte"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/followup-tasks":{"post":{"tags":["follow-up-task-controller"],"operationId":"createFollowupTask","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FollowupTaskDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/FollowupTask"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/folders":{"get":{"tags":["folder-controller"],"operationId":"getFolders","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Folder"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["folder-controller"],"operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FolderDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Folder"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/files/smart-upload/create":{"post":{"tags":["file-controller"],"operationId":"processSmartUpload_1","parameters":[{"name":"formFields","in":"query","required":true,"schema":{"type":"object","additionalProperties":{}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/files/bulk-upload/save":{"post":{"tags":["file-controller"],"operationId":"dataUpload","parameters":[{"name":"jobInstanceId","in":"query","required":true,"schema":{"type":"string"}},{"name":"jobTypeId","in":"query","required":true,"schema":{"type":"string"}},{"name":"parentJobInstanceId","in":"query","required":false,"schema":{"type":"string"}},{"name":"mappedFields","in":"query","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"excelLookupFields","in":"query","required":false,"schema":{"type":"string"}},{"name":"resolveRefs","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/external/{templateName}":{"post":{"tags":["external-controller"],"operationId":"callExternalApi","parameters":[{"name":"templateName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/external/{templateName}/stream":{"post":{"tags":["external-controller"],"operationId":"streamApi","parameters":[{"name":"templateName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"OK","content":{"text/event-stream":{"schema":{"$ref":"#/components/schemas/SseEmitter"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/event-store/cleanup":{"post":{"tags":["event-store-cleanup-controller"],"operationId":"triggerCleanup","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/event-store/cleanup/custom":{"post":{"tags":["event-store-cleanup-controller"],"operationId":"triggerCleanupWithRetention","parameters":[{"name":"retentionDays","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/enterprises":{"get":{"tags":["enterprise-controller"],"operationId":"getEnterprises","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Enterprise"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}},"post":{"tags":["enterprise-controller"],"operationId":"createEnterprise","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnterpriseDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/Enterprise"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/emails/send":{"post":{"tags":["email-controller"],"operationId":"sendEmail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/emails/edit-page/workflow-emails/send":{"post":{"tags":["email-controller"],"operationId":"sendEditPageEmails","parameters":[{"name":"jobInstanceId","in":"query","required":true,"schema":{"type":"string"}},{"name":"emailTemplateInstanceId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/CommonResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/download-document/download-pdf":{"post":{"tags":["document-download-controller"],"operationId":"downloadPdfDocument","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentDownloadRequest"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/cyberRisk/xlsx-parse":{"post":{"tags":["custom-ap-is-controller"],"operationId":"createWithFile_1","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"srcFile":{"type":"string","format":"binary"}},"required":["srcFile"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/BatchResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/cyberRisk/createBatchInstances":{"post":{"tags":["custom-ap-is-controller"],"operationId":"createCyberRiskBatchJobInstances","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchResponse"}}},"required":true},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/chatgpt":{"post":{"tags":["gpt-controller"],"operationId":"chatGptQuery","parameters":[{"name":"attachments","in":"query","required":true,"schema":{"type":"array","items":{"type":"string","format":"binary"}}},{"name":"jobType","in":"query","required":true,"schema":{"type":"string"}},{"name":"referenceNo","in":"query","required":false,"schema":{"type":"string"}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"json","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/chatgpt/query":{"post":{"tags":["gpt-controller"],"operationId":"chatGptQuery_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatGptQueryDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ChatGptResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/certificate/create":{"post":{"tags":["custom-ap-is-controller"],"operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomAPIsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/bulk-data/validateAndSave":{"post":{"tags":["bulk-data-controller"],"operationId":"saveBulkDataWithValidations","parameters":[{"name":"resolveRefs","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"jobInstances":{"type":"string"}},"required":["jobInstances"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/bulk-data/save":{"post":{"tags":["bulk-data-controller"],"operationId":"saveBulkData","parameters":[{"name":"uuidV7Enabled","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"jobInstances":{"type":"string"}},"required":["jobInstances"]}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/attachments/upload":{"post":{"tags":["attachments-controller"],"operationId":"uploadAttachment","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"attachment":{"type":"string","format":"binary"}},"required":["attachment"]}}}},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/AttachmentResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/api_transform/response_mappings":{"post":{"tags":["api-mappings-controller"],"operationId":"getResponseMappings","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/APIMappingsDataResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/api_transform/request_mappings":{"post":{"tags":["api-mappings-controller"],"operationId":"getRequestMappings","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/APIMappingsDataResponse"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/api_transform/request_fields":{"post":{"tags":["api-mappings-controller"],"operationId":"getRequestFields","parameters":[{"name":"isJsonPath","in":"query","required":true,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/activity-history/activity-excel":{"post":{"tags":["activity-history-controller"],"operationId":"excelDownload","responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/JobInstance"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/proxy":{"post":{"tags":["proxy-controller"],"operationId":"getProxy","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProxyRequestDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/proxy/multipart":{"post":{"tags":["proxy-controller"],"operationId":"proxyMultipart","parameters":[{"name":"_proxy_url","in":"query","required":true,"schema":{"type":"string"}},{"name":"_proxy_method","in":"query","required":false,"schema":{"type":"string","default":"POST"}},{"name":"_proxy_headers","in":"query","required":false,"schema":{"type":"string","default":"{}"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/proxy/download":{"post":{"tags":["proxy-controller"],"operationId":"getProxyFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProxyRequestDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"string","format":"byte"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/retrieve-by-filters":{"get":{"tags":["user-controller"],"operationId":"retrieveByFilters","parameters":[{"name":"filters","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/refreshToken":{"get":{"tags":["user-controller"],"operationId":"getTokenByRefreshToken","parameters":[{"name":"refreshToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/api/v1/users/password-validity-details":{"get":{"tags":["user-controller"],"operationId":"getPasswordValidity","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+jso
[...]
